# dynamic_traits< algebra::FreeMonoid< A > > Struct Template Reference
[Algebra, Freemonoid]

Meta information about FreeMonoid. More...

Inherits dynamic_traits< algebra::FreeMonoidBase< algebra::FreeMonoid< A > > >.

List of all members.

## Static Public Attributes

static const bool | ret = A::dynamic
| SetWord is dynamic iff its alphabet is.

## Detailed Description

### template<typename A>
struct vcsn::dynamic_traits< algebra::FreeMonoid< A > >

Meta information about FreeMonoid.

Definition at line 97 of file free_monoid.hh.